## mx4j.tools.config
Class DefaultConfigurationBuilder.AbstractNode

    java.lang.Object
      mx4j.tools.config.DefaultConfigurationBuilder.AbstractNode

All Implemented Interfaces:
  ConfigurationBuilder.Node

Direct Known Subclasses:
  DefaultConfigurationBuilder.Arg, DefaultConfigurationBuilder.Call, DefaultConfigurationBuilder.Configuration, DefaultConfigurationBuilder.Create, DefaultConfigurationBuilder.New, DefaultConfigurationBuilder.Object, DefaultConfigurationBuilder.Register, DefaultConfigurationBuilder.Shutdown, DefaultConfigurationBuilder.Startup, DefaultConfigurationBuilder.Unregister

Enclosing class:
  DefaultConfigurationBuilder

public abstract static class DefaultConfigurationBuilder.AbstractNode
extends java.lang.Object
implements ConfigurationBuilder.Node

Constructor Summary
`DefaultConfigurationBuilder.AbstractNode()`

Method Summary
`void` `addChild(ConfigurationBuilder.Node child)`
`java.util.List` `getChildren()`
`ConfigurationBuilder.Node` `getParent()`
`protected java.lang.String` `getText()`
`void` `setAttributes(org.w3c.dom.NamedNodeMap attributes)`
`void` `setParent(ConfigurationBuilder.Node parent)`
`void` `setText(java.lang.String text)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface mx4j.tools.config.ConfigurationBuilder.Node
`configure`

Constructor Detail

### DefaultConfigurationBuilder.AbstractNode

    public DefaultConfigurationBuilder.AbstractNode()

Method Detail

### setText

    public void setText(java.lang.String text)

  Specified by:
    `setText` in interface `ConfigurationBuilder.Node`

### setParent

    public void setParent(ConfigurationBuilder.Node parent)

  Specified by:
    `setParent` in interface `ConfigurationBuilder.Node`

### addChild

    public void addChild(ConfigurationBuilder.Node child)

  Specified by:
    `addChild` in interface `ConfigurationBuilder.Node`

### getText

    protected java.lang.String getText()

### getParent

    public ConfigurationBuilder.Node getParent()

  Specified by:
    `getParent` in interface `ConfigurationBuilder.Node`

### getChildren

    public java.util.List getChildren()

  Specified by:
    `getChildren` in interface `ConfigurationBuilder.Node`

### setAttributes

    public void setAttributes(org.w3c.dom.NamedNodeMap attributes)
                       throws ConfigurationException

  Specified by:
    `setAttributes` in interface `ConfigurationBuilder.Node`
  Throws:
    `ConfigurationException`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.